<mat-dialog-content [formGroup]="register">

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Usuario</mat-label>
        <input matInput type="text" autocomplete="off" formControlName="usuario">
        <span matSuffix>
          <mat-icon>account_circle</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Apellido</mat-label>
        <input matInput type="text" autocomplete="off" formControlName="surname">
        <span matSuffix>
          <mat-icon>account_circle</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Contraseña</mat-label>
        <input matInput [type]="hidePass ? 'password' : 'text'" autocomplete="off" formControlName="password"
          required>
        <mat-icon matSuffix (click)="hidePass = !hidePass">{{hidePass ? 'visibility_off' : 'visibility'}}</mat-icon>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Nombre</mat-label>
        <input matInput type="text" autocomplete="off" formControlName="name">
        <span matSuffix>
          <mat-icon>person</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Email de la compañía</mat-label>
        <input matInput type="email" autocomplete="off" formControlName="company_email">
        <span matSuffix>
          <mat-icon>alternate_email</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Email personal</mat-label>
        <input matInput type="email" autocomplete="off" formControlName="personal_email">
        <span matSuffix>
          <mat-icon>alternate_email</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Ciudad</mat-label>
        <input matInput type="text" autocomplete="off" formControlName="city">
        <span matSuffix>
          <mat-icon>location_city</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Imagen</mat-label>
        <input matInput type="text" autocomplete="off" formControlName="imagen_url">
        <span matSuffix>
          <mat-icon>image</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Fecha creación</mat-label>
        <input matInput type="date" autocomplete="off" formControlName="created_date">
        <span matSuffix>
          <mat-icon>date_range</mat-icon>
        </span>
      </mat-form-field>
    </div>

    <div class="campos">
      <mat-checkbox formControlName="active">Activo</mat-checkbox>
    </div>

    <div class="campos">
      <mat-form-field appearance="fill" floatLabel="always">
        <mat-label>Fecha finalización</mat-label>
        <input matInput type="date" autocomplete="off" formControlName="termination_date">
        <span matSuffix>
          <mat-icon>date_range</mat-icon>
        </span>
      </mat-form-field>
    </div>

</mat-dialog-content>

<mat-dialog-actions align="end">
    <button mat-raised-button type="submit" color="primary" (click)="limpiar()"> Limpiar </button>
    <button mat-raised-button mat-dialog-close color="primary" [disabled]="register.invalid" (click)="onSubmit()"> Enviar </button>
</mat-dialog-actions>
